org.apache.solr.client.solrj.io.stream.metrics

## Class Bucket

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.metrics.Bucket

    public class Bucket
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Bucket(String bucketKey)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getBucketValue(Tuple tuple)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Bucket

    public Bucket(String bucketKey)

### Method Detail

#### getBucketValue

    public Object getBucketValue(Tuple tuple)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`